﻿using Dto;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TestAPI.Extensions
{
    class ParagraphIdEqualityComparer : EqualityComparer<ParagraphDTO>
    {
        public override bool Equals(ParagraphDTO x, ParagraphDTO y)
        {
            return x.Id == y.Id;
        }

        public override int GetHashCode(ParagraphDTO obj)
        {
            return obj.Id;
        }
    }
}
